Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.framework.util
Class Pair<T,U>

    java.lang.Object
      org.deegree.framework.util.Pair<T,U>

Type Parameters:
  `T` - the first Object of the pair
  `U` - the second Object of the pair

Direct Known Subclasses:
  StringPair

    public class Pair<T,U>

extends Object

`Pair` is a convenience class, which pairs two objects.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Rutger Bezema, last edited by: $Author: mschneider $

Field Summary
`T` | `first` first value of the pair.
`U` | `second` second value of the pair.

Constructor Summary
`Pair()` Create a pair with null objects.
`Pair(T first, U second)`

Method Summary
`boolean` | `equals(Object other)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### first

    public T first

  first value of the pair.

### second

    public U second

  second value of the pair.

Constructor Detail

### Pair

    public Pair(T first,
                U second)

Parameters:
  `first` - value of the pair.
  `second` - value of the pair.

### Pair

    public Pair()

  Create a pair with null objects.

Method Detail

### equals

    public boolean equals(Object other)

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org